Loading...
Searching...
No Matches
Ogre::ParamDictionary Class Reference
Core » General

Class to hold a dictionary of parameters for a single class. More...

`#include <OgreStringInterface.h>`

## Public Member Functions

| ParamDictionary ()
| ~ParamDictionary ()
void | addParameter (const ParameterDef &def, ParamCommand *paramCmd)
void | addParameter (const String &name, ParamCommand *paramCmd)
| Method for adding a parameter definition for this class.
const ParameterList & | getParameters (void) const
| Retrieves a list of parameters valid for this object.

## Detailed Description

Class to hold a dictionary of parameters for a single class.

## Constructor & Destructor Documentation

## ParamDictionary()

Ogre::ParamDictionary::ParamDictionary | ( |  | ) |

## ~ParamDictionary()

Ogre::ParamDictionary::~ParamDictionary | ( |  | ) |

## Member Function Documentation

## addParameter() [1/2]

void Ogre::ParamDictionary::addParameter | ( | const String & | name,
|  | ParamCommand * | paramCmd )

Method for adding a parameter definition for this class.

Parameters

  name | The name of the parameter
  paramCmd | Pointer to a ParamCommand subclass to handle the getting / setting of this parameter. NB this class will not destroy this on shutdown, please ensure you do

Referenced by addParameter().

## addParameter() [2/2]

void Ogre::ParamDictionary::addParameter | ( | const ParameterDef & | def,
|  | ParamCommand * | paramCmd )

inline

Deprecated
  do not use

References addParameter(), and Ogre::ParameterDef::name.

## getParameters()

const ParameterList & Ogre::ParamDictionary::getParameters | ( | void |  | ) | const

inline

Retrieves a list of parameters valid for this object.

Returns
  A reference to a static list of ParameterDef objects.

The documentation for this class was generated from the following file:

- OgreStringInterface.h